
/*
xpvox copyright (c) 2005 Jan Panteltje

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _XPVOX_PROTO_H_
#define _XPVOX_PROTO_H_

extern void use_xpequ_button_cb(FL_OBJECT *ob, long data);
extern void agc_button_cb(FL_OBJECT *ob, long data);
extern void set_off_slider_bounds();
extern void off_time_x10_button_cb(FL_OBJECT *ob, long data);
extern void log_button_cb(FL_OBJECT *ob, long data);
extern void show_sounds_without_path_button_cb(FL_OBJECT *ob, long data);
extern void play_one_per_day_next_input_field_cb(FL_OBJECT *ob, long data);
extern void play_one_per_day_button_cb(FL_OBJECT *ob, long data);
extern void one_second_tick(int sig);
extern int ogettime(
	char *weekday,
	char *month, 
	int *monthday,
	int *hour,  
	int *minute,  
	int *second,  
	int *year   
	);
extern void timed_play_button_cb(FL_OBJECT *ob, long data);
extern void timed_play_input_field_cb(FL_OBJECT *ob, long data);
extern struct sound *find_entry_in_play_sequence(int nr);
extern int renumber_sound_list_play_numbers();
extern int add_play_sequence_number(int browser_line, int nr);
extern int set_play_sequence_number(int browser_line, int nr);
extern int get_next_in_play_sequence(int *next_in_sequence);
extern void beacon_period_time_input_field_cb(FL_OBJECT *ob, long data);
extern void beacon_sound_button_cb(FL_OBJECT *ob, long data);
extern int player(char *pathfilename);
extern int get_sound(int mode, int *sound);
extern int start_audio();
extern int stop_audio();
extern void stop_player();
extern void start_player(int mode);
extern int save_audio_settings();
extern int load_audio_settings();
extern int set_sound(int position, int mode);
extern int set_audio_input_device(int nr);
extern int set_audio_output_device(int nr);
extern void audio_input_device_select_button_cb(FL_OBJECT *ob, long data);
extern void audio_output_device_select_button_cb(FL_OBJECT *ob, long data);
extern int stop_players();
extern int play_init();
extern void *play_routine();
extern char *line_to_filename(int line);
extern void stop_sound_button_cb(FL_OBJECT *ob, long data);
extern int set_in_out_buttons();
extern int play_sound(int mode);
extern void add_sound_button_cb(FL_OBJECT *ob, long data);
extern void delete_sound_button_cb(FL_OBJECT *ob, long data);
extern void play_sound_button_cb(FL_OBJECT *ob, long data);
extern void in_sound_button_cb(FL_OBJECT *ob, long data);
extern void out_sound_button_cb(FL_OBJECT *ob, long data);
extern struct sound *lookup_sound(char *name);
extern struct sound *install_sound_at_end_of_list(char *name);
extern int delete_sound(char *name);
extern int delete_all_sounds();
extern int load_sounds();
extern int save_sounds();
extern int show_sounds(int position);
extern int sound_to_line(int soundnr, int *line);
extern int add_sound(char *text);
extern void replace(char *text, char *string, char *replace, char *result);
extern struct sound *install_sound_in_position(char *name, int *new_flag);
extern int sort_sounds();
extern int swap_sound_position(struct sound *ptop, struct sound *pbottom);
extern void sound_browser_cb(FL_OBJECT *ob, long data);
extern void sound_browser_double_cb(FL_OBJECT *ob, long data);
extern int readline(FILE *file, char *contents);
extern void new_york_time();
extern char *load_setting(char *type);
extern int save_setting(char *type, char *string);
extern void audio_peak_indicator_slider_cb(FL_OBJECT *ob, long data);
extern void transmission_lock_button_cb(FL_OBJECT *ob, long data);
extern void transmission_inhibit_button_cb(FL_OBJECT *ob, long data);
extern void on_time_slider_cb(FL_OBJECT *ob, long data);
extern void off_time_slider_cb(FL_OBJECT *ob, long data);
extern void *audio_routine();
extern int audio_init();
extern int print_usage();
extern int record_init();
extern int record();
extern int idle_cb(XEvent *ev, void *data);
extern void one_second_tick(int sig);
extern void transmit_button_cb(FL_OBJECT *ob, long data);
extern void threshold_slider_cb(FL_OBJECT *ob, long data);
extern void exit_button_cb(FL_OBJECT *ob, long data);
extern char *strsave(char *s);
extern int get_combase(char *serial_device, int *combase);
extern int set_rts(char *device, int state);

#endif /* _XPVOX_PROTO_H_ */

